import { AutoMap } from '@automapper/classes';
import { IsNotEmpty, IsOptional, IsString } from 'class-validator';

export class CreateTerritoryRequest {
  @IsString()
  @IsOptional()
  @AutoMap()
  uuid?: string;

  @IsString()
  @IsNotEmpty()
  @AutoMap()
  name: string;

  @IsString()
  @IsNotEmpty()
  @AutoMap()
  shape: string;
}
